import request from "../../utils/request";

export function upldSetlList(data) {
    return request({
        url: '/setlListUpld/upldSetlList',
        method: 'post',
        data,
        jdtTitle: '医保结算单上传',
    })
}

export function upldSetlListTimes(data) {
    return request({
        url: '/setlListUpld/upldSetlListTimes',
        method: 'post',
        data,
        jdtTitle: '医保结算单上传',
    })
}

export function getMedType() {
    return request({
        url: '/setlListUpld/getMedType',
        method: 'get'
    })
}

export function getMedChrgitmType() {
    return request({
        url: '/setlListUpld/getMedChrgitmType',
        method: 'get'
    })
}

export function getFundPayType() {
    return request({
        url: '/setlListUpld/getFundPayType',
        method: 'get'
    })
}

export function huoQuJieSuanRenYuan(data) {
    return request({
        url: '/setlListUpld/huoQuJieSuanRenYuan',
        method: 'post',
        data,
    })
}

export function jieSuanDanKeXiuGaiXinXi(patNo, times, ledgerSn) {
    return request({
        url: '/setlListUpld/jieSuanDanKeXiuGaiXinXi',
        method: 'get',
        params: {patNo, times, ledgerSn}
    })
}


export function shouShuBianMa(content, currentPage) {
    return request({
        url: '/setlListUpld/shouShuBianMa',
        method: 'get',
        params: {content, currentPage}
    })
}

export function setlModifyReq(data) {
    return request({
        url: '/setlListUpld/setlModifyReq',
        method: 'post',
        data,
    })
}


export function setlUploadAudit(data) {
    return request({
        url: '/setlListUpld/setlUploadAudit',
        method: 'post',
        data
    })
}

export function xianZhiShiJian() {
    return request({
        url: '/setlListUpld/xianZhiShiJian',
        method: 'get',
    })
}

export function sheZhiShiJian(startTime, endTime, opId) {
    return request({
        url: '/setlListUpld/sheZhiShiJian',
        method: 'get',
        params: {startTime, endTime, opId}
    })
}

export function getHuanZheFeiYong(patNo, times) {
    return request({
        url: '/setlListUpld/getHuanZheFeiYong',
        method: 'get',
        params: {patNo, times}
    })
}

export function xiuGaiGuanChuangYiShen(patNo, times, code) {
    return request({
        url: '/setlListUpld/xiuGaiGuanChuangYiShen',
        method: 'get',
        params: {patNo, times, code}
    })
}

export function daYingShangChuanJieSuanDan(patNo, times, ledgerSn) {
    return request({
        url: '/setlListUpld/daYingShangChuanJieSuanDan',
        method: 'get',
        params: {patNo, times, ledgerSn}
    })
}


